Subject: Re: RFC: Change whatchanged to report changes from merges by default?

From: Mark Burton <[email-masked]>
Date: Sat, 20 Dec 2008 20:21:09 +0000

On Sat, 20 Dec 2008 12:09:05 -0800
Junio C Hamano <[email-masked]> wrote:

> IOW, I consider "whatchanged" a command that is kept only for old timers'
> sake.  There is no reason to promote it, but there is no reason to
> deprecate it, either.  Which means the answer to this question...
> 
> > Would it not make more sense to have git whatchanged show the changes
> > introduced by merges by default and then people can use the (already
> > supported) --no-merges option to suppress that behaviour?  
> 
> ... is a NO spelled in capital letters.

OK (spelled in capital letters), I won't submit the patch.

Cheers,

Mark